@import "./appfooter.css";

:host {
  --app-margin: var(--app-margin-normal);
  --app-margin-mobile: 12px;
  --app-margin-normal: 16px;
  --header-bar-height: 4px;
}

#id_root_area {
  display: flex;
  flex-direction: column;
  width: 100%;
}

header {
  display: flex;
  flex-direction: column;
  /*align-items: center;*/

  background-color: #fff;

  top: 0;
  /*Setting "fixed" makes dimensions independent of parent and must thus be  separately considered!*/
  position: sticky;

  width: 100%;
  min-height: 56px;

  z-index: 4; /*so opacity of section cards on hover does not make the appbar transparent*/
}

div#upper-header {
  display: flex;
  align-items: center;
  width: 100%;
}

#header-item-ul {
  display: flex;
  list-style-type: none;
  padding: 10px 0;
}

#header-item-ul li:not(:last-child) {
  margin-right: 12px; /*acts as in-between separator*/
}

.header-item-li {
  width: max-content;
  cursor: pointer;
  padding-bottom: 2px; /*Used to widen the gap between text and bottom-border*/
}

.header-item-li:hover {
  /*Display faded bottom bar on hover*/
  border-bottom: solid var(--header-bar-height) var(--app-colour50);
}

.header-item-li-normal {
  border-bottom: solid var(--header-bar-height) transparent;
}

.header-item-li-selected {
  /*Display faded bottom bar on hover*/
  border-bottom: solid var(--header-bar-height) var(--primary-colour800);
}

.header-item-text {
  padding: 0 10px;
}

#burger-n-logo-wrap {
  display: flex;
  align-items: center;
  column-gap: 24px;
}

.header__logo {
  height: 48px;
}

.menu-item-selected {
  background-color: var(--primary-colour800);
  color: white;
}

.menu-item-selected:hover {
  /*By default, in hover, mat changes bkg colour to transparent, thus update text colour for contrast*/
  color: var(--primary-colour800);
}

main {
  /*Trickle down 100% of the width, less than max-width, to children*/
  max-width: var(--max-content-width);
  margin: 0 auto; /* For centering at --max-supported_width 1360px*/
}

.spacer {
  flex: 1 1 auto;
}

#user-related-header-div a[class="user-related-header-item"]:not(:last-child) {
  margin-right: 12px; /*acts as in-between separator*/
}

a.user-related-header-item {
  /*To apply default behaviour since #href is not being used on all tags, but also enforces #000*/
  text-decoration: underline;
  cursor: pointer;
  color: #000;
}

@media screen and (max-width: 600px) {
  #user-related-header-div {
    display: none;
  }

  #lower-header {
    display: none;
  }
}

@media screen and (min-width: 601px) {
  button#burger {
    display: none;
  }
}

/*region App-Margin*/

header, main {
  /*Set a global-gutter policy for header and main*/
  padding-left: var(--app-margin);
  padding-right: var(--app-margin);
}

/*#section-outlet {
  min-width: 100%;
}*/

#footer-coloured-wrapper {
  padding: 16px var(--app-margin) 24px;
  max-width: var(--max-content-width);
  margin: 0 auto;
}

#copyright_p {
  background-color: white;
  color: black;
  padding: var(--app-margin);
}

@media screen and (max-width: 550px) {
  :host {
    /*Below 550px, change the value of --app-margin so it is effected above*/
    --app-margin: var(--app-margin-mobile) !important;
  }
}

/*endregion*/

p {
  margin-bottom: 0;
}

/*region Create Account Benefits Banner */

#acc-benefit-banner {
  padding: 16px 12px;
  background-color: var(--app-colour50);
}

#acc-benefit-ul {
  list-style-type: none;
}

.acc-benefit-li {
  display: inline-flex; /*wrap-content*/
  align-items: center;
  padding: 0 12px 12px;
}

.acc-benefit-li mat-icon {
  margin-right: 12px; /*spacing betwixt icon and text*/
}

.acc-benefit-subheader {
  padding-top: 16px;
  text-align: center;
}

@media screen and (min-width: 601px) {
  #acc-benefit-ul {
    /*Center list items contained in each line*/
    display: flex;
    justify-content: center;
  }

  #copyright_p {
    text-align: center; /*Placed here since the minimum width fits, but none related items!*/
  }
}

@media screen and (min-width: 1021px) {
  .acc-benefit-header {
    /*Center benefit-header*/
    text-align: center;
  }
}

/*endregion*/


